# ScanbotCamera class

Inheritance
  - Object
  - DiagnosticableTree
  - Widget
  - StatefulWidget
  - ScanbotCamera

## Constructors

ScanbotCamera({Key? key, required CameraConfiguration configuration, Future onMethodCall(MethodCall methodCall)?, FinderConfiguration? finder, dynamic onCameraPreviewStarted(DocumentSnapTrigger snapTrigger, bool isFlashAvailable)?, dynamic onHeavyOperationProcessing(bool)?, dynamic onPictureTaken(Page)?})
  const

## Properties

configuration → CameraConfiguration
  final
finder → FinderConfiguration?
  final
hashCode → int
  The hash code for this object.
  no setter inherited
key → Key?
  Controls how one widget replaces another widget in the tree.
  final inherited
onCameraPreviewStarted → (dynamic Function(DocumentSnapTrigger snapTrigger, bool isFlashAvailable)?)
  final
onHeavyOperationProcessing → (dynamic Function(bool)?)
  triggers when camera plugin make long work eg. saving snap to the image etc.
  final
onMethodCall → (Future Function(MethodCall methodCall)?)
  final
onPictureTaken → (dynamic Function(Page)?)
  returns page after sucessfull snap
  final
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

createElement() → StatefulElement
  Creates a StatefulElement to manage this widget's location in the tree.
  inherited
createState() → ScanbotCameraWidgetState
  Creates the mutable state for this widget at a given location in the tree.
  override
debugDescribeChildren() → List<DiagnosticsNode>
  Returns a list of DiagnosticsNode objects describing this node's children.
  inherited
debugFillProperties(DiagnosticPropertiesBuilder properties) → void
  Add additional properties associated with the node.
  inherited
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toDiagnosticsNode({String? name, DiagnosticsTreeStyle? style}) → DiagnosticsNode
  Returns a debug representation of the object that is used by debugging tools and by DiagnosticsNode.toStringDeep.
  inherited
toString({DiagnosticLevel minLevel = DiagnosticLevel.info}) → String
  A string representation of this object.
  inherited
toStringDeep({String prefixLineOne = '', String? prefixOtherLines, DiagnosticLevel minLevel = DiagnosticLevel.debug}) → String
  Returns a string representation of this node and its descendants.
  inherited
toStringShallow({String joiner = ', ', DiagnosticLevel minLevel = DiagnosticLevel.debug}) → String
  Returns a one-line detailed description of the object.
  inherited
toStringShort() → String
  A short, textual description of this widget.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Static Properties

scanbotSdkRouteObserver ↔ RouteObserver<ModalRoute>
  getter/setter pair